pcl::cuda::downsampleIndices Struct Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/io/include/pcl/cuda/io/debayering.h>`

## Public Member Functions

| downsampleIndices (int width, int height, int stride)
__host__ __device__ bool | operator() (int i)

## Public Attributes

int | width
int | height
int | stride

## Detailed Description

Definition at line 48 of file debayering.h.

## Constructor & Destructor Documentation

## downsampleIndices()

pcl::cuda::downsampleIndices::downsampleIndices | ( | int | width,
|  | int | height,
|  | int | stride
| ) |  |

inline

Definition at line 50 of file debayering.h.

## Member Function Documentation

## operator()()

__host__ __device__ bool pcl::cuda::downsampleIndices::operator() | ( | int | i | ) |

inline

Definition at line 57 of file debayering.h.

References stride, and width.

## Member Data Documentation

## height

int pcl::cuda::downsampleIndices::height

Definition at line 54 of file debayering.h.

## stride

int pcl::cuda::downsampleIndices::stride

Definition at line 54 of file debayering.h.

Referenced by operator()().

## width

int pcl::cuda::downsampleIndices::width

Definition at line 54 of file debayering.h.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/cuda/io/include/pcl/cuda/io/debayering.h